Subject: [os2genau_digest] No. 2099
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 4 Aug 2013 00:00:40 WST-8WST,10,1,0,7200,4,1,0,7200,0

**************************************************
Saturday 03 August 2013
 Number  2099
**************************************************

Subjects for today
 
1   Rexx for Android publicly available : voytek at sbt dot net dot au
2   Where is the OS2 desktop Archives directory set? : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  Where is the OS2 desktop Archives directory set? : Ian Manners" <deadmail>
4  Re:  Where is the OS2 desktop Archives directory set? : Ed Durrant <edurrant at durrant dot mine dot nu>
5  Re:  Where is the OS2 desktop Archives directory set? : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Sat, 3 Aug 2013 12:05:45 +1000
From:  voytek at sbt dot net dot au
Subject:   Rexx for Android publicly available

os2-isp at warpspeed dot com dot au, os2genau at os2 dot org dot au

---------------------------- Original Message ----------------------------
Subject: Rexx for Android publicly available
From:    Pierre Richard
Date:    Fri, August 2, 2013 4:33 pm

--------------------------------------------------------------------------

For Your Information...

---------- Forwarded message ----------
From: Pierre Richard <pgr at jaxo dot com>
Date: Thu, Aug 1, 2013 at 4:41 PM
Subject: Rexx for Android publicly available
To: president at rexxla dot org

Dear President,

I'm pleased to announce you that Rexx For Android is now publicly
available, including all source code.  The repository is on the Jaxo's
github: https://github dot com/Jaxo/yaxx  It also contains a pre-compiled
version (Rexxoid.apk) ready to be downloaded to android devices.

"Rexx for Android" descends from our Rexx implementation that both Joe
Latone and me wrote in early 2000.

For history, Joe and me were Researcher at the TJ Watson Center in the mid
80's.  There, we had the chance to meet with Mike and to appreciate his
vision (inventing JavaScript even before Java was born.)  Twenty years
later, we realized our own implementation of Rexx in C++.  Designed with
portability in mind, it was aimed at running on mobile devices (Palm OS, at
this time), beside the classic Windoze and Linux.  As you know, we did a
first port to Palm OS in 2000, and in 2010, a port to Android.

Best Regards,
Joe and Pierre.

--------------------------------------------------
 
**= Email   2 ==========================**

Date:  Sat, 03 Aug 2013 16:20:12 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   Where is the OS2 desktop Archives directory set?

Hi All,

   I'm so used to my eCS system simply working for the last 6-7 years 
without the need for any changes that I've forgotten this basic fact and 
I can't find any assistance from Help or on the 'net.

   The system is now warning me at start up that there may not be 
sufficient space in e:\os2\archives to hold a backup. (e: is the boot 
drive). I think I can override this in config.sys but can't remember 
where or how to do this. It doesn't appear to be in desktop properties 
either, wher you can turn it on and off.

-- 
Regards

Ed

--------------------------------------------------
 
===
**= Email   3 ==========================**

Date:  Sat, 03 Aug 2013 16:11:50 +0800 (WST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Where is the OS2 desktop Archives directory set?

Hi Ed,

> I'm so used to my eCS system simply working for the last
> 6-7 years without the need for any changes that I've forgotten
> this basic fact and I can't find any assistance from Help or on
> the 'net.

I'm glad I'm not the only one that gets caught on forgetting
things I should know but can remember due to the amount
of time passed :)

> The system is now warning me at start up that there may not
> be sufficient space in e:\os2\archives to hold a backup. (e: is 
> the boot drive). I think I can override this in config.sys but can't
> remember where or how to do this. It doesn't appear to be 
> in desktop properties either, wher you can turn it on and off.

If you have XWorkplace installed, try

System - XWorkplace Installation - XWorkspace Settup
click on Startup/shutdown features
untick 'Replace Desktop archiving'

and see if it puts if back, apart from that, see if anyone else
has any ideas.

Cheers
Ian Manners
http://www.os2site dot com/
--------------------------------------------------
 
**= Email   4 ==========================**

Date:  Sat, 03 Aug 2013 19:22:30 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Where is the OS2 desktop Archives directory set?

On 03/08/13 18:11, Ian Manners wrote:
> Hi Ed,
>
>> I'm so used to my eCS system simply working for the last
>> 6-7 years without the need for any changes that I've forgotten
>> this basic fact and I can't find any assistance from Help or on
>> the 'net.
> I'm glad I'm not the only one that gets caught on forgetting
> things I should know but can remember due to the amount
> of time passed :)
>
>> The system is now warning me at start up that there may not
>> be sufficient space in e:\os2\archives to hold a backup. (e: is
>> the boot drive). I think I can override this in config.sys but can't
>> remember where or how to do this. It doesn't appear to be
>> in desktop properties either, wher you can turn it on and off.
> If you have XWorkplace installed, try
>
> System - XWorkplace Installation - XWorkspace Settup
> click on Startup/shutdown features
> untick 'Replace Desktop archiving'
>
> and see if it puts if back, apart from that, see if anyone else
> has any ideas.
>
>
> Cheers
> Ian Manners
> http://www.os2site dot com/
> --------------------------------------------------
>   

Thanks Ian but I don't have XWorkplace installed.

I am almost certain there is an override "Set" statement that can go in 
Config.sys that tell the archive logic to use another drive - which is 
what I want to do (the fact is that E: has more than enough free space 
but I suspect something is corrupt there - so putting the archive on 
another partition, seems like a safe thing to do).

Arcinst works by the way - it creates a new "initial" backup on E: 
without any problems.

-- 
Regards

Ed

--------------------------------------------------
 
===
**= Email   5 ==========================**

Date:  Sat, 03 Aug 2013 23:06:22 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Where is the OS2 desktop Archives directory set?

On 03/08/13 16:20, Ed Durrant wrote:
>
>
>   I'm so used to my eCS system simply working for the last 6-7 years
> without the need for any changes that I've forgotten this basic fact
> and I can't find any assistance from Help or on the 'net.
>
>   The system is now warning me at start up that there may not be
> sufficient space in e:\os2\archives to hold a backup. (e: is the boot
> drive). I think I can override this in config.sys but can't remember
> where or how to do this. It doesn't appear to be in desktop properties
> either, wher you can turn it on and off.
>
Some of the archiving properties can be found with:
   Right click on desktop, choose Properties.
   Go to Archives tab.

This doesn't solve your basic problem, though, since you can't specify a
path for the archives. In fact I've always had the impression that this
is hard-coded.

There doesn't seem to be anything in my CONFIG.SYS or OS2.INI or
OS2SYS.INI that would control it.

There is or was an application called "Config Info". I don't have it
installed here, it seems, but I seem to recall that it included a file
giving the meaning of each CONFIG.SYS option. What I don't know is
whether the option you want even exists.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
===